Page MenuHomePhabricator

Create frontend API based on mw.Upload for Commons uploads
Closed, ResolvedPublic

Event Timeline

MarkTraceur updated the task description. (Show Details)
MarkTraceur raised the priority of this task from to Normal.
MarkTraceur claimed this task.
MarkTraceur added a project: CommonsMetadata.
MarkTraceur added a subscriber: MarkTraceur.
Restricted Application added a project: Multimedia. · View Herald TranscriptJul 7 2015, 8:21 PM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald Transcript

Change 223597 had a related patch set uploaded (by MarkTraceur):
Add a frontend library for Commons uploads

https://gerrit.wikimedia.org/r/223597

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 8 2015, 7:22 PM

Change 223597 abandoned by MarkTraceur:
Add a frontend library for Commons uploads

Reason:
No longer useful

https://gerrit.wikimedia.org/r/223597

MarkTraceur moved this task from Untriaged to Doing on the Multimedia board.Aug 27 2015, 3:52 PM
Jdforrester-WMF raised the priority of this task from Normal to High.Aug 27 2015, 3:52 PM

Change 234086 had a related patch set uploaded (by MarkTraceur):
Add ForeignUpload and ForeignStructuredUpload

https://gerrit.wikimedia.org/r/234086

Change 234086 merged by jenkins-bot:
Add ForeignUpload and ForeignStructuredUpload

https://gerrit.wikimedia.org/r/234086

Prtksxna closed this task as Resolved.Sep 8 2015, 3:30 PM
MarkTraceur moved this task from Needs code review to Done on the Multimedia board.Sep 8 2015, 3:30 PM
TTO added a subscriber: TTO.Oct 21 2015, 4:20 AM

Can we please have some documentation about this feature? The JavaScript module seems simple enough, but people won't know about it unless it is mentioned somewhere on mw.org.

Tgr added a subscriber: Tgr.Dec 30 2015, 9:55 PM

Can we please have some documentation about this feature? The JavaScript module seems simple enough, but people won't know about it unless it is mentioned somewhere on mw.org.

Looks like it's documented at mw:Cross-wiki upload.